Stackable::isTerminated
Stackable::lock
Stackable
PHP Manual

# Stackable::isWaiting

(PECL pthreads >= 0.36)

Stackable::isWaiting — State Detection

### Description

final public boolean Stackable::isWaiting ( void )

Tell if the referenced Stackable is waiting for notification

### Parameters

This function has no parameters.

### Return Values

A boolean indication of state

### Examples

Example #1 Detect the state of the referenced Stackable

`<?php
class Work extends Stackable {
public function run() {
$this->synchronized(function($object){
$object->wait();
}, $this);
}
}
class My extends Worker {
public function run() {
/** ... **/
}
}
$my = new My();
$work = new Work();
$my->stack($work);
$my->start();
usleep(10000);
$work->synchronized(function($object){
var_dump($object->isWaiting());
$object->notify();
}, $work);
?>`

The above example will output:

    bool(true)

Stackable::isTerminated
Stackable::lock
Stackable
PHP Manual